| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GLSLShaderFactory Class Reference

Factory class for GLSL shaders. More...

`#include <OgreGLSLShaderFactory.h>`

Inheritance diagram for Ogre::GLSLShaderFactory:
[legend]

## Public Member Functions
| GLSLShaderFactory (GL3PlusRenderSystem *renderSystem)
| ~GLSLShaderFactory (void)
HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader)
| Create an instance of GLSLProgram. More...
void | destroy (HighLevelGpuProgram *prog)
const String & | getLanguage (void) const
| Get the name of the language this factory creates shaders for. More...

## Detailed Description

Factory class for GLSL shaders.

## Constructor & Destructor Documentation

## ◆ GLSLShaderFactory()

Ogre::GLSLShaderFactory::GLSLShaderFactory | ( | GL3PlusRenderSystem * | renderSystem | ) |

## ◆ ~GLSLShaderFactory()

Ogre::GLSLShaderFactory::~GLSLShaderFactory | ( | void |  | ) |

## Member Function Documentation

## ◆ getLanguage()

const String& Ogre::GLSLShaderFactory::getLanguage | ( | void |  | ) | const
| virtual

Get the name of the language this factory creates shaders for.

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ create()

HighLevelGpuProgram* Ogre::GLSLShaderFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader
| ) |  |
| virtual

Create an instance of GLSLProgram.

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ destroy()

void Ogre::GLSLShaderFactory::destroy | ( | HighLevelGpuProgram * | prog | ) |
| virtual

Implements Ogre::HighLevelGpuProgramFactory.

The documentation for this class was generated from the following file:

- OgreGLSLShaderFactory.h